Upgrade path from OpenShift 4.4.19 to version 4.5 is not available

Solution Verified - Updated -

Issue

  • Upgrade path from OpenShift 4.4.19 to version 4.5 is not available.
[host@user ~]$ export CURRENT_VERSION=4.4.19;
[host@user ~]$ export CHANNEL_NAME=fast-4.5;
[host@user ~]$ curl -sH 'Accept:application/json' "https://api.openshift.com/api/upgrades_info/v1/graph?channel=${CHANNEL_NAME}" | jq -r --arg CURRENT_VERSION "${CURRENT_VERSION}" '. as $graph | $graph.nodes | map(.version=='\"$CURRENT_VERSION\"') | index(true) as $orig | $graph.edges | map(select(.[0] == $orig)[1]) | map($graph.nodes[.].version) | sort_by(.)'
[]
[host@user ~]$ export CHANNEL_NAME=stable-4.5;
[host@user ~]$ curl -sH 'Accept:application/json' "https://api.openshift.com/api/upgrades_info/v1/graph?channel=${CHANNEL_NAME}" | jq -r --arg CURRENT_VERSION "${CURRENT_VERSION}" '. as $graph | $graph.nodes | map(.version=='\"$CURRENT_VERSION\"') | index(true) as $orig | $graph.edges | map(select(.[0] == $orig)[1]) | map($graph.nodes[.].version) | sort_by(.)'
[]

Environment

  • Red Hat OpenShift Container Platform
    • 4.4.19

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In